Markdent::Simple::Fragment(3pm)

NAME
Markdent::Simple::Fragment - Convert Markdown to an HTML Fragment

VERSION
version 0.33

SYNOPSIS
    use Markdent::Simple::Fragment;

    my $mds  = Markdent::Simple::Fragment->new();
    my $html = $mds->markdown_to_html(
        markdown => $markdown,
    );

DESCRIPTION
This class provides a very simple interface for converting Markdown to an HTML fragment.

METHODS
This class provides the following methods:

  Markdent::Simple::Fragment->new()
Creates a new Markdent::Simple::Fragment object.

  $mdf->markdown_to_html( markdown => $markdown )
This method turns Markdown into HTML.

You can also provide an optional "dialects" parameter.

ROLES
This class does the Markdent::Role::Simple role.

BUGS
See Markdent for bug reporting details.

Bugs may be submitted at <https://github.com/houseabsolute/Markdent/issues>.

I am also usually active on IRC as 'autarch' on "irc://irc.perl.org".

SOURCE
The source code repository for Markdent can be found at <https://github.com/houseabsolute/Markdent>.

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2019 by Dave Rolsky.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

The full text of the license can be found in the LICENSE file included with this distribution.